function NewOpinion = BC_UpdateOpinion(OldOpinion, InteractionNetwork)

% Evolve as the Degroot model, keep in mind that 'InteractionNetwork' is a
% cell with two digraps, the first are the constraints, and the second is
% the current interaction network

NewOpinion = InteractionNetwork{2}*OldOpinion;

end